{
  description = "A Java class file parser written in Zig";

  inputs = {
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    flake-utils.url = "github:numtide/flake-utils";
  };

  outputs = {
    nixpkgs,
    flake-utils,
    ...
  }:
    flake-utils.lib.eachDefaultSystem (
      system: let
        pkgs = nixpkgs.legacyPackages.${system};
        nativeBuildInputs = with pkgs; [
          zig
          zls
        ];

        buildInputs = with pkgs; [];
      in {
        devShells.default = pkgs.mkShell { inherit nativeBuildInputs buildInputs; };

        packages.default = pkgs.stdenv.mkDerivation {
          pname = "zig-class-parser";
          version = "0.0.0";
          src = ./.;

          nativeBuildInputs =
            nativeBuildInputs
            ++ [
              pkgs.zig.hook
            ];
          inherit buildInputs;
        };
      }
    );
}
